### Enumeration

# FwupdPlugin UsbRequestType

since: 1.0

#### Declaration

    enum FwupdPlugin.UsbRequestType

#### Description

No description available.

Available since: 1.0

#### Members

`FU_USB_REQUEST_TYPE_STANDARD`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_REQUEST_TYPE_CLASS`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_REQUEST_TYPE_VENDOR`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_USB_REQUEST_TYPE_RESERVED`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0